This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 823102 - Review Request: 0ad-data - The Data Files for 0 AD
Review Request: 0ad-data - The Data Files for 0 AD
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On: 818401
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 00:51 EDT by Paulo Andrade
Modified: 2013-04-20 15:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 07:12:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
msuchy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
cgtextures query email (3.15 KB, text/plain)
2012-09-12 14:44 EDT, Paulo Andrade
no flags Details
cgtextures response email (7.11 KB, text/plain)
2012-09-12 14:44 EDT, Paulo Andrade
no flags Details

  None (edit)
Description Paulo Andrade 2012-05-19 00:51:19 EDT
Spec URL: http://fedorapeople.org/~pcpa/0ad-data.spec
SRPM URL: http://fedorapeople.org/~pcpa/0ad-data-r11863-1.fc18.src.rpm
Description: 
0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
real-time strategy (RTS) game of ancient warfare. In short, it is a
historically-based war/economy game that allows players to relive or rewrite
the history of Western civilizations, focusing on the years between 500 B.C.
and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
graphics, detailed artwork, sound, and a flexible and powerful custom-built
game engine.

The game has been in development by Wildfire Games (WFG), a group of volunteer, 
hobbyist game developers, since 2001. The code and data are available under the
GPL license, and the art, sound and documentation are available under CC-BY-SA.
In short, we consider 0 A.D. an an educational celebration of game development
and ancient history.
Comment 1 Paulo Andrade 2012-09-08 10:48:45 EDT
Updated to latest upstream alpha release:

Spec URL: http://fedorapeople.org/~pcpa/0ad.spec
SRPM URL: http://fedorapeople.org/~pcpa/0ad-data-0.0.11-1.fc19.src.rpm
Comment 2 Miroslav Suchý 2012-09-11 04:39:35 EDT
Spec URL in #1 is incorrect. But I guessed the correct one :)
http://fedorapeople.org/~pcpa/0ad-data.spec

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
     /usr/share/0ad is owned by 0ad and 0ad-data, but I see no problem in that
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[!]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (0ad-0.0.11-alpha-unix-data.tar.xz)
     Waiving this. This is not problem for this review.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames
[!] rpmlint warning:
     0ad-data.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 3)
[!]: MUST Spec file is legible and written in American English.
     Please append at the end of %desciption some statement, that this is just data for the game and the game itself reside in 0ad package. 
     Because current description is same as 0ad and we should distinguish these two by description as well.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
     This is not blocker, but please do that.
Comment 3 Miroslav Suchý 2012-09-11 04:40:59 EDT
Please ignore that line just before Issues:
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

This is leftover which I did not noticed.
Comment 4 Paulo Andrade 2012-09-11 10:50:28 EDT
(In reply to comment #2)

Thanks for the review.

> Spec URL in #1 is incorrect. But I guessed the correct one :)
> http://fedorapeople.org/~pcpa/0ad-data.spec

  Ops, cut&paste fail :-)

[...]

> Issues:
> See:
> http://fedoraproject.org/wiki/Packaging/
> LicensingGuidelines#ValidLicenseShortNames
> [!] rpmlint warning:
>      0ad-data.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab:
> line 3)

  Very simple, will correct.

> [!]: MUST Spec file is legible and written in American English.
>      Please append at the end of %desciption some statement, that this is
> just data for the game and the game itself reside in 0ad package. 
>      Because current description is same as 0ad and we should distinguish
> these two by description as well.

   Ok. Will add a note at the end of the %description.

> [!]: SHOULD If the source package does not include license text(s) as a
>      separate file from upstream, the packager SHOULD query upstream to
>      include it.
>      This is not blocker, but please do that.

  Actually, there are already license files packed in public.zip.
public/art/LICENSE.txt:
"""
The files in this directory are Copyright (C) 2009 Wildfire Games.

These files are licensed under the Creative Commons Attribution-Share Alike 3.0
(CC-by-sa) license, available at http://creativecommons.org/licenses/by-sa/3.0/

Briefly, this means:

* You may use, modify and distribute these files, for commercial and
  non-commercial purposes.

* If you distribute one of these files, you must include attribution (e.g.
  in the credits screen of a game or a video, or in a text file accompanying
  the files). The attribution must include:
  * A link to http://creativecommons.org/licenses/by-sa/3.0/
  * The name "Wildfire Games" as the original author
  * A link to http://www.wildfiregames.com/

* If you distribute one of these files, you must release it (and any
  modifications you have made to it) under the CC-by-sa license.

Some of the files in the "textures/" directory are derived from materials provided by CGTextures (http://www.cgtextures.com/). The original materials are the property of CGTextures or its contributors. Special permission has been granted by CGTextures to distribute these derived textures as CC-BY-SA. (This has no effect on the standard licensing of CGTextures materials, or on any other work derived from them.)

All CGTextures materials have been altered from their original form. To access original super-high resolution CGTextures materials, please visit http://www.cgtextures.com/ .
"""

public/audio/LICENSE.txt:
"""
The files in this directory are Copyright (C) 2009 Wildfire Games.

These files are licensed under the Creative Commons Attribution-Share Alike 3.0
(CC-by-sa) license, available at http://creativecommons.org/licenses/by-sa/3.0/

Briefly, this means:

* You may use, modify and distribute these files, for commercial and
  non-commercial purposes.

* If you distribute one of these files, you must include attribution (e.g.
  in the credits screen of a game or a video, or in a text file accompanying
  the files). The attribution must include:
  * A link to http://creativecommons.org/licenses/by-sa/3.0/
  * The name "Wildfire Games" as the original author
  * A link to http://www.wildfiregames.com/

* If you distribute one of these files, you must release it (and any
  modifications you have made to it) under the CC-by-sa license.
"""

Well, I believe I may have found a showstopper for 0ad in fedora...
Comment 5 Paulo Andrade 2012-09-11 11:00:55 EDT
  I adding FE-LEGAL to have some information about discussion at
http://www.wildfiregames.com/forum/index.php?showtopic=16393&st=0

  Basically, there are comments about authors agreeing with usage of
textures, but no link to such agreement, or when having it, usually
being just a note in a commit message.

  The text in art/LICENSE.txt:
Some of the files in the "textures/" directory are derived from materials provided by CGTextures (http://www.cgtextures.com/). The original materials are the property of CGTextures or its contributors. Special permission has been granted by CGTextures to distribute these derived textures as CC-BY-SA. (This has no effect on the standard licensing of CGTextures materials, or on any other work derived from them.)

may not be enough, because
http://www.cgtextures.com/content.php?action=faq
explicitly states:

"""
May I use these textures for free?
Yes, the textures may be used for free in 2D or 3D computer graphics, movies, printed media, computer games and 3D models. When bundled with a 3D model or scene you are allowed to sell it as a package.
"""

but also

"""
May I use these textures in my Open Source (Creative Commons, GPL, etc) project?
No. These textures may not be used in Open-Source projects. The licenses are not compatible. Almost all Open-Source licenses allow redistribution of the materials, and redistribution is not allowed for these textures.
"""

The thing is that there are restrictions for redistribution of
(competitive) derived work if I understand correctly.
Comment 6 Miroslav Suchý 2012-09-11 11:10:57 EDT
> Well, I believe I may have found a showstopper for 0ad in fedora...

Why? CC-BY-SA is good license:
http://fedoraproject.org/wiki/Licensing#Good_Licenses_2

Just extract this two files from public.zip (idealy in %build section) and put then in %doc.

I see no reason to trust Wildfiregames when they claim that they have permission from CGTextrures to distribute derived textures under CC-BY-SA 3.0
Comment 7 Tom "spot" Callaway 2012-09-11 11:14:21 EDT
Is the "special permission" that has been granted by CGTextures for licensing the derived textures used in 0ad documented anywhere?

It is entirely probable that the original textures are under a non-free license, but that the CGTexture upstream gave permission for 0ad modified textures to be under CC-BY-SA, but I'd feel more comfortable seeing that explicitly stated in writing.
Comment 8 Miroslav Suchý 2012-09-11 11:40:33 EDT
I sent email to CGTextures, if they can confirm. Spot and PCPA are in cc:.
Comment 9 Paulo Andrade 2012-09-11 22:32:09 EDT
(In reply to comment #8)
> I sent email to CGTextures, if they can confirm. Spot and PCPA are in cc:.

I think you may have made a typo in this email or I have something
misconfigured, I did not receive any email :-)

From my understanding, it should be the case that game textures are
very low resolution and possibly lost enough detail in conversion to
not even resemble anymore the original ones, but be good enough to
create a "convincing" game environment.

---%<---
  I did not add a %changelog entry about a single s/ /\t/ for mixed
tabs and spaces correction.
  The %description was actually different from 0ad.spec but I removed the
last paragraph, that also had a duplicated word, and added a statement
that these are the 0ad data files.
  Another change was to not install duplicated dejavu-sans* fonts, but
require the proper package. The font is still in the tarball, so, may
need to update the License tag in the spec or remake the tarball?

Updated package:

- Install license files (#823102)
- Clarify this package are the 0ad data files (#823102)
- Use system dejavu-sans fonts.

Spec URL: http://fedorapeople.org/~pcpa/0ad-data.spec
SRPM URL: http://fedorapeople.org/~pcpa/0ad-data-0.0.11-2.fc19.src.rpm
Comment 10 Miroslav Suchý 2012-09-12 01:34:10 EDT
Misconfiguration. Sending again.
Comment 11 Miroslav Suchý 2012-09-12 04:39:09 EDT
CGTextures confirmed that. From email:

Yes, special permission has been given to Wildfiregames for releasing these textures under CC-BY-SA.

Releasing materials from CGTextures under open source licenses is not allowed, but the Wildfiregames artists discovered this too late (even though we are very clear about this in our license and FAQ). We decided to allow them to release the textures under CC, as it was an honest mistake.

Kind regards,

Marcel Vijfwinkel

So we can continue with review.
Comment 12 Tom "spot" Callaway 2012-09-12 08:56:34 EDT
I agree with Miroslav. I don't think there are any legal issues here, lifting FE-Legal.
Comment 13 Paulo Andrade 2012-09-12 14:44:01 EDT
Created attachment 612208 [details]
cgtextures query email
Comment 14 Paulo Andrade 2012-09-12 14:44:43 EDT
Created attachment 612209 [details]
cgtextures response email
Comment 15 Miroslav Suchý 2012-09-24 17:50:31 EDT
ad license location - I was thinking more about
CWD=$(cwd)
....
cp art/LICENSE.txt $CWD/LICENSE-art.txt
#the same for audio
...

and in %files
%doc LICENSE-art.txt LICENSE-audio.txt

so those LICENSE text are put in /usr/share/doc folder where are usually expected.
And marked as doc. Anyway this is just minor suggestion, and not blocker.
Comment 16 Miroslav Suchý 2012-09-24 18:06:19 EDT
APPROVED
Comment 17 Paulo Andrade 2012-09-24 20:10:37 EDT
(In reply to comment #15)
> ad license location - I was thinking more about
> CWD=$(cwd)
> ....
> cp art/LICENSE.txt $CWD/LICENSE-art.txt
> #the same for audio
> ...
> 
> and in %files
> %doc LICENSE-art.txt LICENSE-audio.txt
> 
> so those LICENSE text are put in /usr/share/doc folder where are usually
> expected.
> And marked as doc. Anyway this is just minor suggestion, and not blocker.

Ok, I will update the spec to rename the LICENSE files and put
them in the expected directory.
Comment 18 Paulo Andrade 2012-09-24 20:11:24 EDT
New Package SCM Request
=======================
Package Name: 0ad-data
Short Description: The Data Files for 0 AD
Owners: pcpa
Branches: f16 f17 f18
InitialCC:
Comment 19 Jon Ciesla 2012-09-24 21:25:47 EDT
Git done (by process-git-requests).
Comment 20 Fedora Update System 2012-09-25 22:54:13 EDT
0ad-data-0.0.11-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/0ad-data-0.0.11-3.fc16
Comment 21 Fedora Update System 2012-09-25 22:54:50 EDT
0ad-data-0.0.11-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/0ad-data-0.0.11-3.fc17
Comment 22 Fedora Update System 2012-09-25 23:37:54 EDT
0ad-data-0.0.11-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/0ad-data-0.0.11-3.fc18
Comment 23 Fedora Update System 2012-09-26 17:19:23 EDT
0ad-data-0.0.11-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 24 Paulo Andrade 2012-11-22 07:12:37 EST
0ad-data is available as f16 and f17 update and is already in f18 repository.
Comment 25 Fedora Update System 2013-04-03 12:48:39 EDT
0ad-data-0.0.13-1.fc18,0ad-0.0.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/0ad-data-0.0.13-1.fc18,0ad-0.0.13-1.fc18
Comment 26 Fedora Update System 2013-04-03 12:53:41 EDT
0ad-0.0.13-1.fc17,0ad-data-0.0.13-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/0ad-0.0.13-1.fc17,0ad-data-0.0.13-1.fc17
Comment 27 Fedora Update System 2013-04-03 12:56:13 EDT
0ad-0.0.13-1.fc19,0ad-data-0.0.13-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/0ad-0.0.13-1.fc19,0ad-data-0.0.13-1.fc19
Comment 28 Fedora Update System 2013-04-13 20:27:43 EDT
0ad-0.0.13-1.fc17, 0ad-data-0.0.13-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2013-04-13 20:31:25 EDT
0ad-data-0.0.13-1.fc18, 0ad-0.0.13-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2013-04-20 15:08:11 EDT
0ad-0.0.13-1.fc19, 0ad-data-0.0.13-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.